Bug 988881 - Add a manual sync avail check to the UI
Add a manual sync avail check to the UI
Product: RHQ Project
Classification: Other
Component: Monitoring (Show other bugs)
Unspecified Unspecified
unspecified Severity urgent (vote)
: ---
: RHQ 4.9
Assigned To: Lukas Krejci
Mike Foley
Depends On:
Blocks: PM-403/PRODMGT-403
  Show dependency treegraph
Reported: 2013-07-26 11:36 EDT by Heiko W. Rupp
Modified: 2014-03-26 04:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: PM-403/PRODMGT-403 (view as bug list)
Last Closed: 2014-03-26 04:31:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2013-07-26 11:36:32 EDT
Provide a means to manually check for live availabilty with a contextually appropriate response (e.g. not in the msg center)

This may need a full set of new apis. Those apis are *not* exposed on the remote api. GUI only

I can imagine that the customer can click on the avail icon of a resource, a spinning icon appears while the check is running and then when the method call returns the icon is replaced with the appropriate avail state.

The check must also update the avail information in the server entities (availability, resource availability) and the agents "mind" if necessary to prevent conflicting information in case that e.g. the user checks avail on a resource, which is then reported back as down and the user goes to the parents child-resources tab, which must also reflect this new state.

The new state also needs to go into alerting, so if the user has set up an alert on goes down and resource which is green is reported as down, that alert must (almost) immediately trigger after the remote call has returned.
Comment 1 Lukas Krejci 2013-08-15 07:12:56 EDT
commit 0f0f307b2696819722a16fe84e27e5b51bd66390
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Thu Aug 15 13:08:45 2013 +0200

    [BZ 988881] - GUI now refreshes availability every 15s.
    Getting the live availability or live value of a metric now triggers
Comment 2 Lukas Krejci 2013-08-20 08:25:48 EDT
commit 5cb55b4e9d8dc51582ba44f9b7c70ff998619f0b
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Tue Aug 20 14:24:39 2013 +0200

    [BZ 988881] - Removed missing i18n, cancel avail checking timers on logout.
Comment 5 Lukas Krejci 2013-08-27 06:42:00 EDT
Some more work on this. The previous implementation had a couple of deficiencies that should now be solved.

The tree behavior in the GUI is still not ideal, because it collapses the child nodes when reloading them due to change in availability of the parent but that is something beyond my expertise and will be looked at separately.

commit 8fa02d955d598558694a647208f9569d30695f08
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Mon Aug 26 14:42:57 2013 +0200

    [BZ 988881] - GUI correctly disables avail refresh timer when leaving page
    The tree refresh now works slightly better, too.
    Some refactoring to call things better names and get rid of the
    "overriden method called in superclass constructor" anti-pattern present
    in the resource and group detail views.

commit 3898d3e6eedfe40fa252efa60d8a13ec53a530bc
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Mon Aug 26 14:42:45 2013 +0200

    [BZ 988881] - The agent side is now always in sync with the server
    Even getting the live availability is handled properly on the agent side
    and the results are correctly recorded in the inventory.
Comment 6 Lukas Krejci 2013-09-05 06:15:35 EDT
Tree behavior changes are captured by BZ 1001002, so I'm pushing this to ON_QA.
Comment 7 Heiko W. Rupp 2014-03-26 04:31:18 EDT
Bulk closing now that 4.10 is out.

If you think an issue is not resolved, please open a new BZ and link to the existing one.

Note You need to log in before you can comment on or make changes to this bug.